/**
 * Copyright 2023 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
/// <reference types="google.maps" />
import { AdvancedMarkerElement as BaseAdvancedMarkerElement, PinElement as BasePinElement } from '@googlemaps/jest-mocks';
export declare class AdvancedMarkerElement extends BaseAdvancedMarkerElement {
    constructor(options: google.maps.marker.AdvancedMarkerElementOptions);
}
export declare class PinElement extends BasePinElement {
}
export declare function initialize(): void;
export declare const REGISTRY: Map<string, any[]>;
type Constructable = {
    new (...args: any[]): unknown;
};
declare function get<T extends Constructable>(item: T): InstanceType<T>[];
export declare const mockInstances: {
    get: typeof get;
};
export {};
