/**
 * Copyright 2023 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
/**
 * Prints the specified message to the console the first time it is called with
 * the message.
 *
 * @param message
 * @param params
 */
export declare function warnOnce(message: string, ...params: unknown[]): void;
/**
 * Verifies that the Google Maps API is properly loaded and throws an exception
 * if it isn't.
 */
export declare function assertMapsApiLoaded(): void;
/**
 * A typescript assertion function used in cases where typescript has to be
 * convinced that the object in question can not be null.
 *
 * @param value
 * @param message
 */
export declare function assertNotNull<TValue>(value: TValue, message?: string): asserts value is NonNullable<TValue>;
